petsc-3.12.1 2019-10-22
Report Typos and Errors

# TSPseudoSetVerifyTimeStep

Sets a user-defined routine to verify the quality of the last timestep.

### Synopsis

    #include "petscts.h"
    PetscErrorCode  TSPseudoSetVerifyTimeStep(TS ts,PetscErrorCode (*dt)(TS,Vec,void*,PetscReal*,PetscBool*),void *ctx)

Logically Collective on TS

### Input Parameters

| ts | - timestep context
| dt | - user-defined function to verify timestep
| ctx | - [optional] user-defined context for private data for the timestep verification routine (may be NULL)

### Calling sequence of func

     func (TS ts,Vec update,void *ctx,PetscReal *newdt,PetscBool  *flag);

| update | - latest solution vector
| ctx | - [optional] timestep context
| newdt | - the timestep to use for the next step
| flag | - flag indicating whether the last time step was acceptable

### Notes

The routine set here will be called by TSPseudoVerifyTimeStep() during the timestepping process.

### See Also

TSPseudoVerifyTimeStepDefault(), TSPseudoVerifyTimeStep()

### Level

advanced

### Location

src/ts/impls/pseudo/posindep.c

### Implementations

TSPseudoSetVerifyTimeStep_Pseudo in src/ts/impls/pseudo/posindep.c
Index of all TS routines
Table of Contents for all manual pages
Index of all manual pages